ChangeSet
  1.69 05/04/01 13:35:59 smurf@smurf.noris.de +2 -0
  fixed heuristics

  keymapper/tree.py
    1.17 05/04/01 13:35:59 smurf@smurf.noris.de +12 -10
    fixed heuristics

  keymapper/keymap.py
    1.14 05/04/01 13:35:59 smurf@smurf.noris.de +1 -1
    comment added

ChangeSet
  1.68 05/04/01 12:26:19 smurf@smurf.noris.de +5 -0
  Ignore control, spacing, and unassigned characters.

  keymapper/tree.py
    1.16 05/04/01 12:26:19 smurf@smurf.noris.de +3 -3
    Ignore control, spacing, and unassigned characters.

  keymapper/keymap.py
    1.13 05/04/01 12:26:19 smurf@smurf.noris.de +6 -2
    Ignore control, spacing, and unassigned characters.

  keymapper/equiv.py
    1.5 05/04/01 12:26:19 smurf@smurf.noris.de +12 -1
    Ignore control, spacing, and unassigned characters.

  debian/changelog
    1.27 05/04/01 12:26:19 smurf@smurf.noris.de +7 -0
    Ignore control, spacing, and unassigned characters.

ChangeSet
  1.67 05/04/01 12:25:48 smurf@smurf.noris.de +1 -0
  broken bar == solid bar
  unified angle brackets

  data/equivs
    1.10 05/04/01 12:25:47 smurf@smurf.noris.de +3 -5
    broken bar == solid bar
    unified angle brackets

  BitKeeper/deleted/.del-maps.py~ce085e4573381ab2
    1.9 05/03/30 22:13:12 smurf@smurf.noris.de +0 -0
    Delete: keymapper/parse/maps.py

ChangeSet
  1.66 05/03/30 18:43:06 smurf@smurf.noris.de +2 -0
  Added shortcuts to break excessively-broad recursion

  keymapper/tree.py
    1.15 05/03/30 18:43:06 smurf@smurf.noris.de +61 -10
    Added shortcuts to break excessively-broad recursion

  debian/changelog
    1.26 05/03/30 18:43:06 smurf@smurf.noris.de +2 -1
    Added shortcuts to break excessively-broad recursion

ChangeSet
  1.65 05/03/30 18:41:19 smurf@smurf.noris.de +2 -0
  Increased the penalty for ALT-key combinations

  keymapper/keymap.py
    1.12 05/03/30 18:41:19 smurf@smurf.noris.de +1 -1
    Increased the penalty for ALT-key combinations

  debian/changelog
    1.25 05/03/30 18:41:19 smurf@smurf.noris.de +2 -1
    Increased the penalty for ALT-key combinations

ChangeSet
  1.64 05/03/30 18:28:03 smurf@smurf.noris.de +2 -0
  more character stuff

  debian/changelog
    1.24 05/03/30 18:28:03 smurf@smurf.noris.de +3 -1
    more character stuff

  data/equivs
    1.9 05/03/30 18:28:03 smurf@smurf.noris.de +3 -3
    more stuff

ChangeSet
  1.63 05/03/30 10:53:24 smurf@smurf.noris.de +2 -0
  Adjust heuristics

  keymapper/tree.py
    1.14 05/03/30 10:53:24 smurf@smurf.noris.de +2 -2
    Adjust heuristics

  debian/changelog
    1.23 05/03/30 10:53:24 smurf@smurf.noris.de +2 -1
    Adjust heuristics

ChangeSet
  1.62 05/03/30 10:30:39 smurf@smurf.noris.de +4 -0
  Fix a crash generating sparse mapping trees

  keymapper/tree.py
    1.13 05/03/30 10:30:38 smurf@smurf.noris.de +5 -3
    Fix a crash generating sparse mapping trees

  keymapper/graph.py
    1.11 05/03/30 10:30:38 smurf@smurf.noris.de +6 -4
    Fix a crash generating sparse mapping trees

  keymapper/file.py
    1.9 05/03/30 10:30:38 smurf@smurf.noris.de +4 -2
    Fix a crash generating sparse mapping trees

  debian/changelog
    1.22 05/03/30 10:30:38 smurf@smurf.noris.de +1 -0
    Fix a crash generating sparse mapping trees

ChangeSet
  1.61 05/03/30 10:30:09 smurf@smurf.noris.de +2 -0
  Another round of lookalike characters

  debian/changelog
    1.21 05/03/30 10:30:08 smurf@smurf.noris.de +6 -0
    Another round of lookalike characters

  data/equivs
    1.8 05/03/30 10:30:08 smurf@smurf.noris.de +4 -5
    Another round of lookalike characters

ChangeSet
  1.60 05/03/25 01:08:37 smurf@smurf.noris.de +1 -0
  more debugging

  keymapper/script.py
    1.9 05/03/25 01:08:37 smurf@smurf.noris.de +6 -0
    more debugging

ChangeSet
  1.59 05/03/25 01:06:53 smurf@smurf.noris.de +2 -0
  Aliased cedilla and comma

  debian/changelog
    1.20 05/03/25 01:06:53 smurf@smurf.noris.de +1 -0
    Aliased cedilla and comma

  data/equivs
    1.7 05/03/25 01:06:53 smurf@smurf.noris.de +2 -2
    Aliased cedilla and comma

ChangeSet
  1.58 05/03/25 01:01:34 smurf@smurf.noris.de +3 -0
  add filter option

  keymapper/tree.py
    1.12 05/03/25 01:01:34 smurf@smurf.noris.de +29 -1
    add filter option

  gen_keymap
    1.17 05/03/25 01:01:34 smurf@smurf.noris.de +6 -1
    add filter option

  debian/changelog
    1.19 05/03/25 01:01:34 smurf@smurf.noris.de +7 -0
    add filter option

ChangeSet
  1.57 05/02/27 20:36:24 smurf@smurf.noris.de +1 -0
  ignore more test stuff

  BitKeeper/etc/ignore
    1.14 05/02/27 17:41:32 smurf@smurf.noris.de +2 -0
    added map_equiv.py seektester

ChangeSet
  1.56 05/02/27 17:40:58 smurf@smurf.noris.de +2 -0
  Install scripts

  debian/rules
    1.5 05/02/27 17:40:58 smurf@smurf.noris.de +2 -0
    Install scripts

  debian/changelog
    1.18 05/02/27 17:40:58 smurf@smurf.noris.de +2 -1
    Added script

ChangeSet
  1.55 05/02/27 17:37:59 smurf@smurf.noris.de +1 -0
  Map comparison for X

  x2console_keymap
    1.4 05/02/27 17:37:59 smurf@smurf.noris.de +38 -45
    Map comparison for X

ChangeSet
  1.54 05/02/27 17:37:31 smurf@smurf.noris.de +4 -0
  Query parser refactoring

  test_x11.py
    1.2 05/02/27 17:37:31 smurf@smurf.noris.de +2 -2
    Query parser refactoring

  test_gen_map.py
    1.10 05/02/27 17:37:31 smurf@smurf.noris.de +2 -2
    Query parser refactoring

  keymapper/script.py
    1.8 05/02/27 17:37:31 smurf@smurf.noris.de +23 -10
    Query parser refactoring

  keymapper/fakequery.py
    1.10 05/02/27 17:37:31 smurf@smurf.noris.de +17 -7
    Query parser refactoring

ChangeSet
  1.53 05/02/27 17:37:08 smurf@smurf.noris.de +1 -0
  Ignore Hyper_* symbols

  keymapper/parse/linuxsyms.py
    1.6 05/02/27 17:37:08 smurf@smurf.noris.de +2 -1
    Ignore Hyper_ too

ChangeSet
  1.52 05/02/27 17:36:14 smurf@smurf.noris.de +2 -0
  X11 parser extensions

  keymapper/parse/x11.g
    1.2 05/02/27 17:36:14 smurf@smurf.noris.de +30 -15
    X11 parser extensions, bugfix for subdirectories

  data/symbols
    1.3 05/02/27 17:36:14 smurf@smurf.noris.de +173 -32
    More symbols, some of them typos, for X11.

ChangeSet
  1.51 05/02/27 17:34:50 smurf@smurf.noris.de +2 -0
  More equivalents.

  debian/changelog
    1.17 05/02/27 17:34:50 smurf@smurf.noris.de +2 -1
    Various small bugfixes.

  data/equivs
    1.6 05/02/27 17:34:50 smurf@smurf.noris.de +2 -1
    More equivalent characters.

  x2console_keymap
    1.3 05/02/27 13:16:26 smurf@smurf.noris.de +0 -0
    Rename: x2c_keymap -> x2console_keymap

  x2c_keymap
    1.2 05/02/27 13:16:11 smurf@smurf.noris.de +0 -0
    bk cp test_x11.py x2c_keymap

ChangeSet
  1.50 05/02/27 13:14:44 smurf@smurf.noris.de +1 -0
  reverse keymap output for the tester

  keymapper/keymap.py
    1.11 05/02/27 13:14:44 smurf@smurf.noris.de +30 -6
    reverse keymap output for the tester

ChangeSet
  1.49 05/02/27 13:13:22 smurf@smurf.noris.de +1 -0
  Skip meta and alt tags

  keymapper/parse/linuxsyms.py
    1.5 05/02/27 13:13:22 smurf@smurf.noris.de +2 -3
    Skip meta and alt tags

ChangeSet
  1.48 05/02/27 13:12:54 smurf@smurf.noris.de +2 -0
  Speed up keymap filtering when keymaps have subsets.

  keymapper/tree.py
    1.11 05/02/27 13:12:54 smurf@smurf.noris.de +13 -5
    Speed up keymap filtering when keymaps have subsets.

  debian/changelog
    1.16 05/02/27 13:12:54 smurf@smurf.noris.de +2 -1
    Speed up keymap filtering when keymaps have subsets.

ChangeSet
  1.47 05/02/27 13:11:43 smurf@smurf.noris.de +2 -0
  Fix color/style assignment in graph output.

  keymapper/graph.py
    1.10 05/02/27 13:11:43 smurf@smurf.noris.de +5 -2
    Fix color/style assignment in graph output.

  debian/changelog
    1.15 05/02/27 13:11:43 smurf@smurf.noris.de +2 -1
    Fix color/style assignment in graph output.

  x2c_keymap
    1.1 05/02/27 13:10:39 smurf@smurf.noris.de +74 -0

  test_x11.py
    1.1 05/02/27 13:10:39 smurf@smurf.noris.de +74 -0

  keymapper/parse/x11.g
    1.1 05/02/27 13:10:39 smurf@smurf.noris.de +247 -0

  data/xkeys
    1.1 05/02/27 13:10:39 smurf@smurf.noris.de +58 -0

ChangeSet
  1.46 05/02/27 13:10:39 smurf@smurf.noris.de +8 -0
  Added an analyzer for X11 keymaps.

  x2c_keymap
    1.0 05/02/27 13:10:39 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/test_x11.py

  test_x11.py
    1.0 05/02/27 13:10:39 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/test_x11.py

  keymapper/parse/x11.g
    1.0 05/02/27 13:10:39 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/parse/x11.g

  debian/rules
    1.4 05/02/27 13:10:39 smurf@smurf.noris.de +1 -0
    Install keycode table for X => console.

  debian/control
    1.7 05/02/27 13:10:39 smurf@smurf.noris.de +1 -1
    depend on X keymaps.

  debian/changelog
    1.14 05/02/27 13:10:39 smurf@smurf.noris.de +1 -0
    Added an analyzer for X11 keymaps.

  data/xkeys
    1.0 05/02/27 13:10:39 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/data/xkeys

  data/symbols
    1.2 05/02/27 13:10:39 smurf@smurf.noris.de +945 -338
    Lots of new stuff for X.

  BitKeeper/etc/ignore
    1.13 05/02/27 13:10:39 smurf@smurf.noris.de +1 -0
    added keymapper/parse/x11.py

ChangeSet
  1.45 05/02/27 13:07:11 smurf@smurf.noris.de +1 -0
  utf-8-ize sys.stdout

  test_gen_map.py
    1.9 05/02/27 13:07:11 smurf@smurf.noris.de +2 -0
    utf-8-ize sys.stdout

ChangeSet
  1.44 05/02/27 13:06:05 smurf@smurf.noris.de +2 -0
  Added lots of new lookalike Unicode characters,
  from Unicode's NamesList.txt.

  debian/changelog
    1.13 05/02/27 13:06:05 smurf@smurf.noris.de +2 -0
    Added lots of new lookalike Unicode characters,
    from Unicode's NamesList.txt.

  data/equivs
    1.5 05/02/27 13:06:05 smurf@smurf.noris.de +142 -28
    Added lots of new lookalike Unicode characters,
    from Unicode's NamesList.txt.

ChangeSet
  1.43 05/02/27 13:01:17 smurf@smurf.noris.de +3 -0
  Reworked the step file interpreter to process multiple possible choices in parallel

  keymapper/script.py
    1.7 05/02/27 13:01:17 smurf@smurf.noris.de +37 -31
    Reworked the step file interpreter to process multiple possible choices in parallel

  keymapper/fakequery.py
    1.9 05/02/27 13:01:17 smurf@smurf.noris.de +9 -5
    Reworked the step file interpreter to process multiple possible choices in parallel

  debian/changelog
    1.12 05/02/27 13:01:17 smurf@smurf.noris.de +7 -0
    Reworked the step file interpreter to process multiple possible choices in parallel

ChangeSet
  1.42 05/02/15 20:27:44 smurf@smurf.noris.de +3 -0
  Version 0.4.3-1
  change search path logic to allow arbitrary paths

  keymapper/parse/linux.g
    1.3 05/02/15 20:27:43 smurf@smurf.noris.de +8 -15
    change search path logic to allow arbitrary paths

  gen_keymap
    1.16 05/02/15 20:27:43 smurf@smurf.noris.de +6 -5
    change search path logic to allow arbitrary paths

  debian/changelog
    1.11 05/02/15 20:27:43 smurf@smurf.noris.de +3 -2
    Version 0.4.3-1
    change search path logic to allow arbitrary paths

ChangeSet
  1.41 05/02/14 22:52:07 smurf@smurf.noris.de +2 -0
  Fix dependency on python-dev.

  debian/control
    1.6 05/02/14 22:51:57 smurf@smurf.noris.de +1 -1
    Fix dependency on python-dev.

  debian/changelog
    1.10 05/02/14 22:51:57 smurf@smurf.noris.de +6 -0
    Fix dependency on python-dev.

ChangeSet
  1.40 05/02/14 18:53:31 smurf@smurf.noris.de +1 -0
  ignore unicode files

  BitKeeper/etc/ignore
    1.12 05/02/14 18:53:20 smurf@smurf.noris.de +2 -0
    added NamesList.txt UnicodeData.txt

ChangeSet
  1.39 05/02/14 18:52:52 smurf@smurf.noris.de +1 -0
  depend on current Python 2.4

  debian/control
    1.5 05/02/14 18:52:52 smurf@smurf.noris.de +1 -1
    depend on current Python 2.4

ChangeSet
  1.38 05/02/14 18:49:16 smurf@smurf.noris.de +1 -0
  unstable => hoary

  debian/changelog
    1.9 05/02/14 18:49:15 smurf@smurf.noris.de +6 -6
    unstable => hoary

ChangeSet
  1.37 05/02/04 23:45:32 smurf@smurf.noris.de +1 -0
  colorize the graph

  keymapper/graph.py
    1.9 05/02/04 23:45:28 smurf@smurf.noris.de +20 -13
    colorize

ChangeSet
  1.36 05/02/04 23:45:10 smurf@smurf.noris.de +2 -0
  Small test fixes

  test_gen_map.py
    1.8 05/02/04 23:45:08 smurf@smurf.noris.de +1 -1
    Use utf-8 in map reader

  gen_keymap
    1.15 05/02/04 23:45:07 smurf@smurf.noris.de +27 -0
    Add test option to run the generated maps

ChangeSet
  1.35 05/02/04 23:44:27 smurf@smurf.noris.de +7 -0
  Fix a couple of annoying bugs

  keymapper/tree.py
    1.10 05/02/04 23:44:20 smurf@smurf.noris.de +30 -4
    Use SymSet from keymapper.keymap
    Check char type to prioritize better
    Complain when a symbol doesn't print

  keymapper/script.py
    1.6 05/02/04 23:44:19 smurf@smurf.noris.de +31 -5
    fix multi-char "ask"
    evaluate printed spacing symbols and control chars

  keymapper/keymap.py
    1.10 05/02/04 23:44:19 smurf@smurf.noris.de +11 -4
    Use NFC internally
    add Set type to enfoce that

  keymapper/file.py
    1.8 05/02/04 23:44:18 smurf@smurf.noris.de +21 -2
    Print spacing symbols and some control chars

  keymapper/fakequery.py
    1.8 05/02/04 23:44:17 smurf@smurf.noris.de +9 -8
    Fix multi-char "ask"

  keymapper/fakemaps.py
    1.7 05/02/04 23:44:17 smurf@smurf.noris.de +1 -1
    Fix coding: header

  keymapper/equiv.py
    1.4 05/02/04 23:44:15 smurf@smurf.noris.de +9 -3
    Switch to NFC encoding internally

ChangeSet
  1.34 05/02/03 13:57:10 smurf@smurf.noris.de +1 -0
  fix priorities

  keymapper/tree.py
    1.9 05/02/03 13:57:09 smurf@smurf.noris.de +38 -25
    priority adjust

ChangeSet
  1.33 05/02/03 11:39:16 smurf@smurf.noris.de +5 -0
  Cleanup: The main programs are responsible for equipping the streams
           passed into keymapper.* with appropriate codecs.

  test_gen_map.py
    1.7 05/02/03 11:39:13 smurf@smurf.noris.de +4 -3
    codec-ize the file streams here

  keymapper/file.py
    1.7 05/02/03 11:39:13 smurf@smurf.noris.de +2 -2
    don't encode, that's supposed to be done in the file

  keymapper/fakequery.py
    1.7 05/02/03 11:39:13 smurf@smurf.noris.de +1 -1
    don't utf8-decode here, input is supposed to be Unicode already

  keymapper/fakemaps.py
    1.6 05/02/03 11:39:13 smurf@smurf.noris.de +2 -2
    add a nice utf-8 character to the test to make it mroe interesting

  debian/changelog
    1.8 05/02/03 11:39:13 smurf@smurf.noris.de +3 -1
    Cleanup: The main programs are responsible for equipping the streams
             passed into keymapper.* with appropriate codecs.

ChangeSet
  1.32 05/02/03 11:31:42 smurf@smurf.noris.de +1 -0
  cleanup, now works with Python 2.3

  gen_keymap
    1.14 05/02/03 11:31:41 smurf@smurf.noris.de +3 -3
    drop the subprocess import
    syntax niceties

ChangeSet
  1.31 05/02/03 11:31:16 smurf@smurf.noris.de +2 -0
  added more interesting letters

  debian/changelog
    1.7 05/02/03 11:31:15 smurf@smurf.noris.de +6 -0
    added more interesting letters

  data/equivs
    1.4 05/02/03 11:31:15 smurf@smurf.noris.de +22 -21
    more interesting letters

ChangeSet
  1.30 05/02/02 19:30:45 smurf@smurf.noris.de +2 -0
  Add one and zero.
  Conflate L and I.

  debian/changelog
    1.6 05/02/02 19:30:44 smurf@smurf.noris.de +7 -0
    Add one and zero.
    Conflate L and I.

  data/equivs
    1.3 05/02/02 19:30:44 smurf@smurf.noris.de +2 -3
    Add one and zero.
    Conflate L and I.

ChangeSet
  1.29 05/02/02 19:28:52 smurf@smurf.noris.de +7 -0
  Extension: We print only those characters under consideration in the present step.

  keymapper/tree.py
    1.8 05/02/02 19:28:52 smurf@smurf.noris.de +30 -11
    core code to display only those characters that actually appear on the keys

  keymapper/keymap.py
    1.9 05/02/02 19:28:52 smurf@smurf.noris.de +4 -1
    add list of symbols actually present

  keymapper/graph.py
    1.8 05/02/02 19:28:52 smurf@smurf.noris.de +4 -3
    fix output code to deal with symbol stuff

  keymapper/file.py
    1.6 05/02/02 19:28:52 smurf@smurf.noris.de +5 -4
    There may be more than one symbol -- print correctly

  keymapper/fakequery.py
    1.6 05/02/02 19:28:52 smurf@smurf.noris.de +3 -3
    fixed processing for symbols that aren't present

  keymapper/equiv.py
    1.3 05/02/02 19:28:52 smurf@smurf.noris.de +5 -2
    add lowercase and uppercase versions

  debian/changelog
    1.5 05/02/02 19:28:52 smurf@smurf.noris.de +7 -0
    print only those characters under consideration at this step.

ChangeSet
  1.28 05/02/02 17:08:40 smurf@smurf.noris.de +1 -0
  add more lookalike characters

  data/equivs
    1.2 05/02/02 17:08:40 smurf@smurf.noris.de +33 -22
    even more lookalike characters

ChangeSet
  1.27 05/02/02 16:17:08 smurf@smurf.noris.de +1 -0
  bad file name in keymapper/equiv.py

  keymapper/equiv.py
    1.2 05/02/02 16:17:08 smurf@smurf.noris.de +2 -2
    bad file name

  keymapper/equiv.py
    1.1 05/02/02 16:14:49 smurf@smurf.noris.de +79 -0

  data/equivs
    1.1 05/02/02 16:14:49 smurf@smurf.noris.de +30 -0

ChangeSet
  1.26 05/02/02 16:14:49 smurf@smurf.noris.de +13 -0
  Add character equivalence table.

  test_gen_map.py
    1.6 05/02/02 16:14:49 smurf@smurf.noris.de +4 -0
    Add character equivalence table.

  keymapper/tree.py
    1.7 05/02/02 16:14:49 smurf@smurf.noris.de +19 -8
    Add character equivalence table.

  keymapper/script.py
    1.5 05/02/02 16:14:49 smurf@smurf.noris.de +2 -2
    Add character equivalence table.

  keymapper/parse/linuxsyms.py
    1.4 05/02/02 16:14:49 smurf@smurf.noris.de +5 -0
    Add character equivalence table.

  keymapper/keymap.py
    1.8 05/02/02 16:14:49 smurf@smurf.noris.de +3 -1
    Add character equivalence table.

  keymapper/graph.py
    1.7 05/02/02 16:14:49 smurf@smurf.noris.de +9 -2
    Add character equivalence table.

  keymapper/file.py
    1.5 05/02/02 16:14:49 smurf@smurf.noris.de +4 -2
    Add character equivalence table.

  keymapper/fakequery.py
    1.5 05/02/02 16:14:49 smurf@smurf.noris.de +13 -6
    Add character equivalence table.

  keymapper/fakemaps.py
    1.5 05/02/02 16:14:49 smurf@smurf.noris.de +2 -2
    Add character equivalence table.

  keymapper/equiv.py
    1.0 05/02/02 16:14:49 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/equiv.py

  debian/rules
    1.3 05/02/02 16:14:49 smurf@smurf.noris.de +1 -0
    Install character equivalence table.

  debian/changelog
    1.4 05/02/02 16:14:49 smurf@smurf.noris.de +6 -0
    Add character equivalence table.

  data/equivs
    1.0 05/02/02 16:14:49 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/data/equivs

ChangeSet
  1.25 05/02/02 16:14:28 smurf@smurf.noris.de +1 -0
  Add option to skip tables (if they're identical to other tables)

  gen_keymap
    1.13 05/02/02 16:14:28 smurf@smurf.noris.de +8 -0
    Add option to skip tables (if they're identical to other tables)

ChangeSet
  1.24 05/02/02 09:50:40 smurf@smurf.noris.de +1 -0
  ignore changelog

  BitKeeper/etc/ignore
    1.11 05/02/02 09:50:30 smurf@smurf.noris.de +1 -0
    added changelog

ChangeSet
  1.23 05/02/02 09:50:27 smurf@smurf.noris.de +3 -0
  more build and installation stuff

  keymapper/parse/linuxsyms.py
    1.3 05/02/02 09:50:27 smurf@smurf.noris.de +1 -1
    read the symfile from somewhere sane

  gen_keymap
    1.12 05/02/02 09:50:27 smurf@smurf.noris.de +11 -8
    input file format option

  debian/rules
    1.2 05/02/02 09:50:27 smurf@smurf.noris.de +6 -1
    build the parser
    install the symbol map

ChangeSet
  1.22 05/02/02 09:29:22 smurf@smurf.noris.de +3 -0
  Added option to set the file system root.

  keymapper/parse/linux.g
    1.2 05/02/02 09:29:22 smurf@smurf.noris.de +5 -1
    Added option to set the file system root.

  gen_keymap
    1.11 05/02/02 09:29:22 smurf@smurf.noris.de +6 -1
    Added option to set the file system root.

  debian/changelog
    1.3 05/02/02 09:29:22 smurf@smurf.noris.de +1 -0
    Added option to set the file system root.

ChangeSet
  1.21 05/02/02 08:58:42 smurf@smurf.noris.de +1 -0
  fixed the dependencies

  debian/control
    1.4 05/02/02 08:58:42 smurf@smurf.noris.de +1 -1
    dependency

  debian/exporter
    1.1 05/02/02 08:56:54 smurf@smurf.noris.de +10 -0

ChangeSet
  1.20 05/02/02 08:56:54 smurf@smurf.noris.de +1 -0
  added exporter for changelog

  debian/exporter
    1.0 05/02/02 08:56:54 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/debian/exporter

ChangeSet
  1.19 05/02/02 08:54:14 smurf@smurf.noris.de +1 -0
  ignore stuff

  BitKeeper/etc/ignore
    1.10 05/02/02 08:53:31 smurf@smurf.noris.de +2 -0
    added debian/*.debhelper debian/*.substvars

  BitKeeper/etc/ignore
    1.9 05/02/02 08:53:09 smurf@smurf.noris.de +2 -0
    added debian/keymapper/* build/*

  setup.py
    1.1 05/02/02 08:52:59 smurf@smurf.noris.de +28 -0

  COPYING.txt
    1.1 05/02/02 08:52:59 smurf@smurf.noris.de +340 -0

ChangeSet
  1.18 05/02/02 08:52:59 smurf@smurf.noris.de +16 -0
  Add copyright stuff
  Rename program to "gen_keymap"
  Fix usage messages

  test_gen_map.py
    1.5 05/02/02 08:52:59 smurf@smurf.noris.de +7 -0
    add copyright

  setup.py
    1.0 05/02/02 08:52:59 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/setup.py

  keymapper/tree.py
    1.6 05/02/02 08:52:59 smurf@smurf.noris.de +7 -4
    add copyright

  keymapper/script.py
    1.4 05/02/02 08:52:59 smurf@smurf.noris.de +6 -2
    add copyright

  keymapper/query.py
    1.3 05/02/02 08:52:59 smurf@smurf.noris.de +6 -2
    add copyright

  keymapper/parse/maps.py
    1.8 05/02/02 08:52:59 smurf@smurf.noris.de +7 -2
    add copyright

  keymapper/parse/linuxsyms.py
    1.2 05/02/02 08:52:59 smurf@smurf.noris.de +10 -0
    add copyright

  keymapper/parse/__init__.py
    1.2 05/02/02 08:52:59 smurf@smurf.noris.de +2 -0
    add copyright

  keymapper/keymap.py
    1.7 05/02/02 08:52:59 smurf@smurf.noris.de +6 -2
    add copyright

  COPYING.txt
    1.0 05/02/02 08:52:59 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/COPYING.txt

  keymapper/graph.py
    1.6 05/02/02 08:52:58 smurf@smurf.noris.de +8 -5
    add copyright

  keymapper/file.py
    1.4 05/02/02 08:52:58 smurf@smurf.noris.de +7 -4
    add copyright

  keymapper/fakequery.py
    1.4 05/02/02 08:52:58 smurf@smurf.noris.de +6 -2
    add copyright

  keymapper/fakemaps.py
    1.4 05/02/02 08:52:58 smurf@smurf.noris.de +7 -2
    add copyright

  gen_keymap
    1.10 05/02/02 08:52:58 smurf@smurf.noris.de +11 -4
    add copyright

  debian/changelog
    1.2 05/02/02 08:52:58 smurf@smurf.noris.de +8 -0
    New version

ChangeSet
  1.17 05/02/02 08:51:53 smurf@smurf.noris.de +2 -0
  more TODO

  README
    1.6 05/02/02 08:51:53 smurf@smurf.noris.de +9 -2
    more TODO stuff

  gen_keymap
    1.9 05/02/02 08:51:14 smurf@smurf.noris.de +0 -0
    Rename: gen_map -> gen_keymap

  gen_map
    1.8 05/02/02 08:46:47 smurf@smurf.noris.de +0 -0
    Rename: gen_map.py -> gen_map

ChangeSet
  1.16 05/01/25 23:14:03 smurf@smurf.noris.de +3 -0
  Document the command file syntax.
  Replace GOTO with NO, as that expresses what's happening more clearly.

  keymapper/script.py
    1.3 05/01/25 23:14:03 smurf@smurf.noris.de +1 -1
    replace GOTO with NO

  keymapper/file.py
    1.3 05/01/25 23:14:03 smurf@smurf.noris.de +1 -1
    replace GOTO with NO

  README
    1.5 05/01/25 23:14:03 smurf@smurf.noris.de +60 -0
    document the command file

ChangeSet
  1.15 05/01/22 19:23:11 smurf@smurf.noris.de +1 -0
  gone ??

  BitKeeper/etc/gone
    1.1 05/01/22 19:22:53 smurf@smurf.noris.de +1 -0

  BitKeeper/etc/gone
    1.0 05/01/22 19:22:53 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/BitKeeper/etc/gone

ChangeSet
  1.14 05/01/22 18:52:36 smurf@smurf.noris.de +1 -0
  set logging field

  BitKeeper/etc/config
    1.2 05/01/22 18:52:36 smurf@smurf.noris.de +1 -1
    set logging field

ChangeSet
  1.13 05/01/22 18:52:01 smurf@smurf.noris.de +1 -0
  ignore stuff

  BitKeeper/etc/ignore
    1.8 05/01/22 18:51:51 smurf@smurf.noris.de +1 -0
    added keymapper/parse/linux.py

  BitKeeper/etc/ignore
    1.7 05/01/22 18:51:38 smurf@smurf.noris.de +2 -0
    added foo foo?

  BitKeeper/etc/ignore
    1.6 05/01/22 18:51:31 smurf@smurf.noris.de +1 -0
    added dottybug.dot

ChangeSet
  1.12 05/01/22 18:51:06 smurf@smurf.noris.de +13 -0
  Added our own keymap parser.
  Lots of bug fixes.

  keymapper/parse/linuxsyms.py
    1.1 05/01/22 18:51:05 smurf@smurf.noris.de +63 -0

  keymapper/parse/linux.g
    1.1 05/01/22 18:51:05 smurf@smurf.noris.de +301 -0

  keymapper/parse/__init__.py
    1.1 05/01/22 18:51:05 smurf@smurf.noris.de +0 -0

  keymapper/parse/Makefile
    1.1 05/01/22 18:51:05 smurf@smurf.noris.de +8 -0

  data/symbols
    1.1 05/01/22 18:51:05 smurf@smurf.noris.de +816 -0

  Makefile
    1.1 05/01/22 18:51:05 smurf@smurf.noris.de +5 -0

  keymapper/tree.py
    1.5 05/01/22 18:51:05 smurf@smurf.noris.de +140 -43
    lots of debugging
    change heuristics in the second pass
    add keycode-exclude processing back

  keymapper/parse/maps.py
    1.7 05/01/22 18:51:05 smurf@smurf.noris.de +1 -1
    added shift+altgr+alt

  keymapper/parse/linuxsyms.py
    1.0 05/01/22 18:51:05 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/parse/linuxsyms.py

  keymapper/parse/linux.g
    1.0 05/01/22 18:51:05 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/parse/linux.g

  keymapper/parse/__init__.py
    1.0 05/01/22 18:51:05 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/parse/__init__.py

  keymapper/parse/Makefile
    1.0 05/01/22 18:51:05 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/parse/Makefile

  keymapper/keymap.py
    1.6 05/01/22 18:51:05 smurf@smurf.noris.de +119 -16
    detect if a keymap is a subset of another
    add objects for modifier keys

  keymapper/graph.py
    1.5 05/01/22 18:51:05 smurf@smurf.noris.de +18 -5
    print unicode names, not characters

  gen_map.py
    1.7 05/01/22 18:51:05 smurf@smurf.noris.de +24 -7
    added a bunch of options:
    - min keymap length
    - verbosity

  debian/control
    1.3 05/01/22 18:51:05 smurf@smurf.noris.de +2 -1
    depend on bugfixed yapps2 runtime

  data/symbols
    1.0 05/01/22 18:51:05 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/data/symbols

  Makefile
    1.0 05/01/22 18:51:05 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/Makefile

  data/keymaps
    1.2 05/01/22 18:51:04 smurf@smurf.noris.de +87 -84
    mangled

  keymapper/parse/maps.py
    1.6 05/01/21 06:11:15 smurf@smurf.noris.de +0 -0
    Rename: keymapper/maps.py -> keymapper/parse/maps.py

ChangeSet
  1.11 05/01/20 13:59:28 smurf@smurf.noris.de +3 -0
  Bugfix: the last entry of each line was skipped.
  
  added option to dump the map data

  keymapper/maps.py
    1.5 05/01/20 13:59:28 smurf@smurf.noris.de +3 -3
    don't skip the last part of each line ..!

  keymapper/keymap.py
    1.5 05/01/20 13:59:28 smurf@smurf.noris.de +18 -4
    add separate symbol->code list for happier dumping

  gen_map.py
    1.6 05/01/20 13:59:28 smurf@smurf.noris.de +22 -8
    add option to dump the keymap data

ChangeSet
  1.10 05/01/20 13:56:46 smurf@smurf.noris.de +2 -0
  document graph output
  suggest graphviz

  debian/control
    1.2 05/01/20 13:56:46 smurf@smurf.noris.de +1 -0
    sugest graphviz

  README
    1.4 05/01/20 13:56:46 smurf@smurf.noris.de +7 -0
    doc graph output

  data/keymaps
    1.1 05/01/20 13:18:07 smurf@smurf.noris.de +98 -0

ChangeSet
  1.9 05/01/20 13:18:07 smurf@smurf.noris.de +8 -0
  Checked in the keyboard map importer (missing from last checkin)

  test_gen_map.py
    1.4 05/01/20 13:18:07 smurf@smurf.noris.de +7 -3
    Add creating a graphviz map

  keymapper/tree.py
    1.4 05/01/20 13:18:07 smurf@smurf.noris.de +28 -21
    added wrapper for report generation

  keymapper/maps.py
    1.4 05/01/20 13:18:07 smurf@smurf.noris.de +51 -44
    Import keyboard maps
    Added better error handling for broken map files.
    Added graphviz output (.dot files) for better visualization.

  keymapper/keymap.py
    1.4 05/01/20 13:18:07 smurf@smurf.noris.de +1 -6
    kill SymbolKnown exception

  keymapper/graph.py
    1.4 05/01/20 13:18:07 smurf@smurf.noris.de +23 -10
    Generate a .dot file for graphviz
    (copy of file.py)

  gen_map.py
    1.5 05/01/20 13:18:07 smurf@smurf.noris.de +54 -32
    Add creating a graphviz .dot map file
    Encode normal output as utf-8, graphviz output as latin-1 (for now)
    Add error handling for not-found/broken/misencoded map files

  data/keymaps
    1.0 05/01/20 13:18:07 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/data/keymaps

  BitKeeper/etc/ignore
    1.5 05/01/20 13:18:07 smurf@smurf.noris.de +1 -0
    Added test.dot to the ignore list

  keymapper/graph.py
    1.3 05/01/20 12:09:32 smurf@smurf.noris.de +0 -0
    bk cp keymapper/file.py keymapper/graph.py

ChangeSet
  1.8 05/01/20 11:21:26 smurf@smurf.noris.de +4 -0
  Sometimes, symbols may appear on more than one key.
  
  Extended the algorithm to deal with that.
  Found a crucial algorithm bug.
  Added a it of tracing while we're at it.

  keymapper/tree.py
    1.3 05/01/20 11:21:26 smurf@smurf.noris.de +58 -28
    Allow symbols to appear on more than one key.
    Fix a small but crucial algorithm bug:
    	the chooser was not correctly restarted, which broke backtracking.
    Add algortihm tracing.

  keymapper/keymap.py
    1.3 05/01/20 11:21:26 smurf@smurf.noris.de +12 -3
    Allow symbols to show up on more than one key.
    
    Add "dump" method to a keymap for terse reporting.

  keymapper/fakequery.py
    1.3 05/01/20 11:21:26 smurf@smurf.noris.de +2 -1
    Random selection: If a symbol appears on more than one key, select one.

  keymapper/fakemaps.py
    1.3 05/01/20 11:21:26 smurf@smurf.noris.de +4 -0
    Additional test map: a symbol appears on two keys.

  keymapper/maps.py
    1.3 05/01/20 03:59:01 smurf@smurf.noris.de +0 -0
    bk cp keymapper/fakemaps.py keymapper/maps.py

  test_gen_map.py
    1.3 05/01/20 03:36:54 smurf@smurf.noris.de +0 -0
    Rename: test_mapper.py -> test_gen_map.py

  gen_map.py
    1.4 05/01/20 03:36:42 smurf@smurf.noris.de +0 -0
    Rename: mapper.py -> gen_map.py

  mapper.py
    1.3 05/01/20 03:36:18 smurf@smurf.noris.de +0 -0
    bk cp test_mapper.py mapper.py

ChangeSet
  1.7 04/12/23 18:55:00 smurf@smurf.noris.de +8 -0
  added debian/ subtree

  debian/rules
    1.1 04/12/23 18:54:59 smurf@smurf.noris.de +79 -0

  debian/docs
    1.1 04/12/23 18:54:59 smurf@smurf.noris.de +1 -0

  debian/dirs
    1.1 04/12/23 18:54:59 smurf@smurf.noris.de +1 -0

  debian/copyright
    1.1 04/12/23 18:54:59 smurf@smurf.noris.de +12 -0

  debian/control
    1.1 04/12/23 18:54:59 smurf@smurf.noris.de +15 -0

  debian/compat
    1.1 04/12/23 18:54:59 smurf@smurf.noris.de +1 -0

  debian/changelog
    1.1 04/12/23 18:54:59 smurf@smurf.noris.de +7 -0

  debian/rules
    1.0 04/12/23 18:54:59 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/debian/rules

  debian/docs
    1.0 04/12/23 18:54:59 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/debian/docs

  debian/dirs
    1.0 04/12/23 18:54:59 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/debian/dirs

  debian/copyright
    1.0 04/12/23 18:54:59 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/debian/copyright

  debian/control
    1.0 04/12/23 18:54:59 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/debian/control

  debian/compat
    1.0 04/12/23 18:54:59 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/debian/compat

  debian/changelog
    1.0 04/12/23 18:54:59 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/debian/changelog

  BitKeeper/etc/ignore
    1.4 04/12/23 18:39:36 smurf@smurf.noris.de +3 -0
    added *-stamp debian/files debian/tmp/*

ChangeSet
  1.6 04/12/23 17:48:24 smurf@smurf.noris.de +9 -0
  Added a bunch of comments
  
  tree.py had a few problems with its selection code

  test_mapper.py
    1.2 04/12/23 17:48:23 smurf@smurf.noris.de +24 -3
    Added a bunch of comments

  mapper.py
    1.2 04/12/23 17:48:23 smurf@smurf.noris.de +24 -3
    Added a bunch of comments

  keymapper/tree.py
    1.2 04/12/23 17:48:23 smurf@smurf.noris.de +126 -77
    Added a bunch of comments
    
    fixed up the selection code a bit

  keymapper/script.py
    1.2 04/12/23 17:48:23 smurf@smurf.noris.de +13 -2
    Added a bunch of comments

  keymapper/query.py
    1.2 04/12/23 17:48:23 smurf@smurf.noris.de +13 -0
    Added a bunch of comments

  keymapper/maps.py
    1.2 04/12/23 17:48:23 smurf@smurf.noris.de +15 -2
    Added a bunch of comments

  keymapper/keymap.py
    1.2 04/12/23 17:48:23 smurf@smurf.noris.de +15 -10
    Added a bunch of comments

  keymapper/graph.py
    1.2 04/12/23 17:48:23 smurf@smurf.noris.de +4 -0
    Added a bunch of comments

  keymapper/file.py
    1.2 04/12/23 17:48:23 smurf@smurf.noris.de +4 -0
    Added a bunch of comments

  keymapper/fakequery.py
    1.2 04/12/23 17:48:23 smurf@smurf.noris.de +6 -2
    Added a bunch of comments

  keymapper/fakemaps.py
    1.2 04/12/23 17:48:23 smurf@smurf.noris.de +15 -2
    Added a bunch of comments

  keymapper/__init__.py
    1.2 04/12/23 17:48:23 smurf@smurf.noris.de +4 -0
    Added a bunch of comments

  test_mapper.py
    1.1 04/12/23 15:54:29 smurf@smurf.noris.de +36 -0

  mapper.py
    1.1 04/12/23 15:54:29 smurf@smurf.noris.de +36 -0

  keymapper/tree.py
    1.1 04/12/23 15:54:29 smurf@smurf.noris.de +493 -0

  keymapper/script.py
    1.1 04/12/23 15:54:29 smurf@smurf.noris.de +98 -0

  keymapper/query.py
    1.1 04/12/23 15:54:29 smurf@smurf.noris.de +34 -0

  keymapper/maps.py
    1.1 04/12/23 15:54:29 smurf@smurf.noris.de +52 -0

  keymapper/keymap.py
    1.1 04/12/23 15:54:29 smurf@smurf.noris.de +60 -0

  keymapper/graph.py
    1.1 04/12/23 15:54:29 smurf@smurf.noris.de +43 -0

  keymapper/file.py
    1.1 04/12/23 15:54:29 smurf@smurf.noris.de +43 -0

  keymapper/fakequery.py
    1.1 04/12/23 15:54:29 smurf@smurf.noris.de +35 -0

  keymapper/fakemaps.py
    1.1 04/12/23 15:54:29 smurf@smurf.noris.de +52 -0

  keymapper/__init__.py
    1.1 04/12/23 15:54:29 smurf@smurf.noris.de +0 -0

ChangeSet
  1.5 04/12/23 15:54:29 smurf@smurf.noris.de +11 -0
  Added a whole lot of code.

  test_mapper.py
    1.0 04/12/23 15:54:29 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/test_mapper.py

  mapper.py
    1.0 04/12/23 15:54:29 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/test_mapper.py

  keymapper/tree.py
    1.0 04/12/23 15:54:29 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/tree.py

  keymapper/script.py
    1.0 04/12/23 15:54:29 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/script.py

  keymapper/query.py
    1.0 04/12/23 15:54:29 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/query.py

  keymapper/maps.py
    1.0 04/12/23 15:54:29 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/fakemaps.py

  keymapper/keymap.py
    1.0 04/12/23 15:54:29 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/keymap.py

  keymapper/graph.py
    1.0 04/12/23 15:54:29 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/file.py

  keymapper/file.py
    1.0 04/12/23 15:54:29 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/file.py

  keymapper/fakequery.py
    1.0 04/12/23 15:54:29 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/fakequery.py

  keymapper/fakemaps.py
    1.0 04/12/23 15:54:29 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/fakemaps.py

  keymapper/__init__.py
    1.0 04/12/23 15:54:29 smurf@smurf.noris.de +0 -0
    BitKeeper file /daten/src/debian/keymapper/keymapper/__init__.py

  README
    1.3 04/12/23 15:54:29 smurf@smurf.noris.de +35 -7
    added stuff

  BitKeeper/etc/ignore
    1.3 04/12/23 15:54:09 smurf@smurf.noris.de +2 -0
    added *.swp *.swo

  BitKeeper/etc/ignore
    1.2 04/12/23 15:53:48 smurf@smurf.noris.de +2 -0
    added *.pyc *.pyo

ChangeSet
  1.4 04/12/17 09:53:31 smurf@smurf.noris.de +1 -0
  glyph lookalikes ?

  README
    1.2 04/12/17 09:53:30 smurf@smurf.noris.de +2 -1
    glyph lookalikes ?

ChangeSet
  1.3 04/12/17 09:51:54 smurf@smurf.noris.de +1 -0
  initial design notes

  README
    1.1 04/12/17 09:51:53 smurf@smurf.noris.de +75 -0

  README
    1.0 04/12/17 09:51:53 smurf@smurf.noris.de +0 -0
    BitKeeper file /usr/local/src/debian/keymapper/README

ChangeSet
  1.2 04/12/17 05:17:39 smurf@smurf.noris.de +1 -0
  version number / changelog auto-update

  BitKeeper/etc/logging_ok
    1.1 04/12/17 05:17:39 smurf@smurf.noris.de +1 -0

ChangeSet
  1.1 04/12/17 05:17:39 smurf@smurf.noris.de +3 -0
  Initial repository create

  BitKeeper/etc/logging_ok
    1.0 04/12/17 05:17:39 smurf@smurf.noris.de +0 -0
    BitKeeper file /tmp/b.s.12379/BitKeeper/etc/logging_ok

  BitKeeper/etc/ignore
    1.1 04/12/17 05:17:36 smurf@smurf.noris.de +2 -0

  BitKeeper/etc/config
    1.1 04/12/17 05:17:36 smurf@smurf.noris.de +13 -0

ChangeSet
  1.0 04/12/17 05:17:36 smurf@smurf.noris.de +0 -0
  BitKeeper file /tmp/b.s.12379/ChangeSet

  BitKeeper/etc/ignore
    1.0 04/12/17 05:17:36 smurf@smurf.noris.de +0 -0
    BitKeeper file /tmp/b.s.12379/BitKeeper/etc/ignore

  BitKeeper/etc/config
    1.0 04/12/17 05:17:36 smurf@smurf.noris.de +0 -0
    BitKeeper file /tmp/b.s.12379/BitKeeper/etc/config

